<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>SSH Command Executor</title>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 20px;
        }
        textarea {
            width: 100%;
            height: 100px;
            margin-bottom: 10px;
        }
        #output {
            white-space: pre-wrap;
            border: 1px solid #ccc;
            padding: 10px;
            background-color: #f4f4f4;
            min-height: 150px;
        }
    </style>
</head>
<body>
    <h1>SSH Command Executor</h1>
    <textarea id="command" placeholder="Enter command here"></textarea><br>
    <button id="execute">Execute</button>
    <div id="output"></div>

    <script>
        $(document).ready(function(){
            $("#execute").click(function(){
                var command = $("#command").val();
                $.ajax({
                    url: "execute.php",
                    type: "POST",
                    data: {command: command},
                    success: function(response){
                        $("#output").text(response);
                    },
                    error: function(){
                        $("#output").text("Error executing command.");
                    }
                });
            });
        });
    </script>
</body>
</html>
